Page Summary
-
This operation inserts or updates a promotion for a Merchant Center account using the
POSTmethod. -
You need to provide the
merchantIdas a path parameter and aPromotionobject in the request body. -
A successful request will return the created or updated
Promotionobject in the response body. -
To end a promotion, update its time period to a past date.
-
Authorization requires the
https://www.googleapis.com/auth/contentscope.
Inserts a promotion for your Merchant Center account. If the promotion already exists, then it updates the promotion instead. To end or delete a promotion update the time period of the promotion to a time that has already passed.
HTTP request
POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/promotions
Path parameters
| Parameters | |
|---|---|
merchantId |
Required. The ID of the account that contains the collection. |
Request body
The request body contains an instance of Promotion.
Response body
If successful, the response body contains a newly created instance of Promotion.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.